rem =====================================
rem MAP Launcher Batch File v1.0
rem Feel free to use in your own programs
rem =====================================

echo off
cls
echo Map Launcher Batch File v1.0 by Mike Shaw
rem  modified for Orion Prime by Bob Masters
echo =============================================
echo.
echo Scanning for necessary files...
echo Orion2.map
if not exist orion2.map echo Can't find orion2.map

if not exist orionpr.con  echo Can't find orionpr.con

if not exist orion012.art echo Can't find orion012.art

if not exist orion014.art echo Can't find orion014.art

echo.
echo Backing up original files
if exist user.con      copy /y user.con userold.con
if exist Tiles012.art  copy /y Tiles012.art Til12old.art
if exist Tiles014.art  copy /y Tiles014.art Til14old.art

echo Done.
echo.
echo Initializing new files
copy /y orionpr.con  user.con
copy /y orion012.art Tiles012.art
copy /y orion014.art Tiles014.art

echo Done.
echo.
duke3d /v1 /l7
cls
echo off

echo Deleting temporary versions of files
erase user.con
erase Tiles012.art
erase Tiles014.art

echo Restoring original files
if exist userold.con   ren userold.con user.con
if exist Til12old.art  ren Til12old.art Tiles012.art
if exist Til14old.art  ren Til14old.art Tiles014.art

echo Done.
cls
echo.
echo Thanks for playing Orion Prime Level 2.
echo.
echo See Orion.htm for helpful hints.
